=== debian/changelog ===
srm-ifce (1.13.0-1) unstable; urgency=low

  * Initial release (Closes: #687680)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 14 Sep 2012 14:03:02 +0200
