## srm-ifce 1.15.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,13 @@
 cmake_minimum_required (VERSION 2.6)
 message("cmake source dir : ${CMAKE_SOURCE_DIR}")
 # build type
-set(CMAKE_BUILD_TYPE RelWithDebInfo)
+set(CMAKE_BUILD_TYPE "RelWithDebInfo"
+        CACHE STRING "type of build")
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")
+
+#enable testing
+INCLUDE(CTest)
 
 # load module
 include(DefineInstallationPaths REQUIRED)
@@ -25,19 +29,13 @@
 set(OUTPUT_NAME "gfal_srm_ifce")
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 13)
-set(VERSION_PATCH 0)
+set(VERSION_MINOR 15)
+set(VERSION_PATCH 2)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
-
-#define vars
-set(LIBRARY_OUTPUT_PATH ${CMAKE_SOURCE_DIR}/build/)
-set(EXECUTABLE_OUTPUT_PATH ${CMAKE_SOURCE_DIR}/build/)
-set(CMAKE_CURRENT_BINARY_DIR ${CMAKE_SOURCE_DIR}/build/)
-
 
 # libs checks
 pkg_check_modules(GSOAP_PKG REQUIRED gsoap)
-
+pkg_check_modules(GLIB2_PKG REQUIRED glib-2.0)
 
 #install doc license
 install(FILES "LICENSE" "RELEASE-NOTES" "VERSION" "README"
