=== src/CMakeLists.txt ===
--- 
+++ 
@@ -67,13 +67,13 @@
 
 
 
-add_definitions(-D_LARGEFILE64_SOURCE -DVERSION="${VERSION_STRING}" -DCMAKE_BUILD -D_GNU_SOURCE -DGFAL_SECURE)
-include_directories(${srm2_dir} ${CGSI_GSOAP_INCLUDE_DIRS})
+add_definitions(-D_LARGEFILE64_SOURCE -DVERSION="${VERSION_STRING}" -DCMAKE_BUILD -D_GNU_SOURCE -DGFAL_SECURE -Wall)
+include_directories(${srm2_dir} ${CGSI_GSOAP_INCLUDE_DIRS} ${GLIB2_PKG_INCLUDE_DIRS})
 link_directories( ${CGSI_GSOAP_LIBRARY_DIRS} )
 
 ## main libs
 add_library(srm-ifce  SHARED ${src_libs} ${srm2_source_file1} ${srm2_source_file2} ${CMAKE_CURRENT_BINARY_DIR}/${srm_map_files_c})
-target_link_libraries(srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} )
+target_link_libraries(srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_PKG_LIBRARIES} rt)
 set_target_properties(srm-ifce 	PROPERTIES
 								VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
 								SOVERSION ${VERSION_MAJOR}
@@ -93,17 +93,22 @@
 									${src_program})
 target_link_libraries(gfal_srm_ifce_version )								
 
-IF (${UNIT_TESTS})
+IF (UNIT_TESTS)
+
+link_directories (${PROJECT_BINARY_DIR}/ ${PROJECT_BINARY_DIR}/src)
 
 ## unit tests
 add_executable(gfal_srm_ifce_unittest 
 									${src_unit_tests} )
-target_link_libraries(gfal_srm_ifce_unittest ${OUTPUT_NAME} check srm-ifce)
+target_link_libraries(gfal_srm_ifce_unittest ${OUTPUT_NAME} check srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_PKG_LIBRARIES})
 add_executable(gfal_srm_ifce_systemtest 
 									${src_system_tests} )
-target_link_libraries(gfal_srm_ifce_systemtest ${OUTPUT_NAME} check srm-ifce)
+target_link_libraries(gfal_srm_ifce_systemtest ${OUTPUT_NAME} check srm-ifce ${GSOAP_PKG_LIBRARIES} ${CGSI_GSOAP_LIBRARIES} ${GLIB2_PKG_LIBRARIES})
 
-ENDIF (${UNIT_TESTS})
+add_test(base_unit_test ${CMAKE_BINARY_DIR}/gfal_srm_ifce_unittest)
+#add_test(base_system_test ${CMAKE_BINARY_DIR}/gfal_srm_ifce_systemtest)
+
+ENDIF (UNIT_TESTS)
 
 install(TARGETS srm-ifce 
 	    RUNTIME       DESTINATION ${CMAKE_INSTALL_PREFIX}
