=== debian/changelog ===
srm-ifce (1.15.2-2build1) saucy; urgency=low

  * No-change rebuild against libgsoap3.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 20 May 2013 16:42:14 +0200

srm-ifce (1.15.2-2) unstable; urgency=low

  * Workaround missing ECOMM on hurd and kfreebsd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 04 May 2013 23:12:43 +0200

srm-ifce (1.15.2-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 03 May 2013 14:54:55 +0200
