=== src/CMakeLists.txt ===
--- 
+++ 
@@ -67,7 +67,9 @@
 
 
 
-add_definitions(-D_LARGEFILE64_SOURCE -DVERSION="${VERSION_STRING}" -DCMAKE_BUILD -D_GNU_SOURCE -DGFAL_SECURE -Wall)
+add_definitions(-D_LARGEFILE64_SOURCE -DVERSION="${VERSION_STRING}"
+-DCMAKE_BUILD -D_GNU_SOURCE -DGFAL_SECURE -Wall ${GSOAP_PKG_CFLAGS}
+ ${GSOAP_PKG_CFLAGS_OTHER})
 include_directories(${srm2_dir} ${CGSI_GSOAP_INCLUDE_DIRS} ${GLIB2_PKG_INCLUDE_DIRS})
 link_directories( ${CGSI_GSOAP_LIBRARY_DIRS} )
