=== debian/changelog ===
srm-ifce (1.18.0-1build1) trusty; urgency=medium

  * No-change rebuild against libgsoap4

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sun, 29 Dec 2013 17:10:06 +0100

srm-ifce (1.18.0-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 14 Oct 2013 13:52:04 +0200

srm-ifce (1.16.0-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 11 Aug 2013 05:47:32 +0200
