=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: srm-ifce
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 8.0.0), cmake, cgsi-gsoap-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8.0.0), cmake, cgsi-gsoap-dev, libglib2.0-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config
+Standards-Version: 3.9.4
 Section: libs
 Homepage: https://svnweb.cern.ch/trac/lcgutil
 
@@ -19,7 +19,7 @@
 Package: srm-ifce-dev
 Section: libdevel
 Architecture: any
-Depends: libgfal-srm-ifce1 (= ${binary:Version}), ${misc:Depends}
+Depends: libgfal-srm-ifce1 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
 Description: SRM client side headers and development files
  Development libraries, pkgconfig files and header files for the
  srm-ifce.
