=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,3 @@
 override_dh_install:
 	rm -rf debian/tmp/usr/share/doc
 	dh_install --fail-missing
-
-override_dh_clean:
-	rm -rf build
-	dh_clean
