## srm-ifce 1.21.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,8 +29,8 @@
 set(OUTPUT_NAME "gfal_srm_ifce")
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 18)
-set(VERSION_PATCH 0)
+set(VERSION_MINOR 21)
+set(VERSION_PATCH 4)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 # libs checks
