=== debian/changelog ===
srm-ifce (1.21.4-2) unstable; urgency=medium

  * Workaround for missing ETIME (kfreebsd) and EBADR (kfreebsd and hurd)
  * Drop patch srm-ifce-ecomm (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 09 Dec 2014 14:25:08 +0100

srm-ifce (1.21.4-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 09 Dec 2014 07:34:15 +0100

srm-ifce (1.20.1-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 24 Oct 2014 21:11:20 +0200
