=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 8.0.0), cmake, cgsi-gsoap-dev, libglib2.0-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Section: libs
-Homepage: https://svnweb.cern.ch/trac/lcgutil
+Homepage: http://dmc.web.cern.ch/
 
 Package: libgfal-srm-ifce1
 Section: libs
