=== debian/changelog ===
srm-ifce (1.23.1-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 11 Jun 2015 19:30:56 +0200

srm-ifce (1.22.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patch srm-ifce-errno.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 09 Apr 2015 16:04:54 +0200
