=== debian/changelog ===
srm-ifce (1.23.3-1build1) xenial; urgency=medium

  * No-change rebuild for gsoap transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 07:23:23 +0000

srm-ifce (1.23.3-1) unstable; urgency=medium

  * New upstream release
  * Implement Multi-Arch support
  * Add dbg package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 03 Dec 2015 00:18:08 +0100
