=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,25 @@
 
 export CFLAGS CXXFLAGS LDFLAGS
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 %:
 	dh $@ 
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLIB_SUFFIX=""
+	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_install:
 	rm -rf debian/tmp/usr/share/doc
+	# Replace with a script for multi-arch
+	printf '#!/bin/sh\necho ' > \
+	   debian/tmp/usr/bin/gfal_srm_ifce_version.sh
+	LD_LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH):$${LD_LIBRARY_PATH} \
+	   debian/tmp/usr/bin/gfal_srm_ifce_version >> \
+	   debian/tmp/usr/bin/gfal_srm_ifce_version.sh
+	mv debian/tmp/usr/bin/gfal_srm_ifce_version.sh \
+	   debian/tmp/usr/bin/gfal_srm_ifce_version
 	dh_install --fail-missing
+
+override_dh_strip:
+	dh_strip --dbg-package srm-ifce-dbg
