## srm-ifce 1.24.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
 find_package(Globus_GSI_CREDENTIAL REQUIRED)
 find_package(Globus_GSS_ASSIST REQUIRED)
 find_package(Globus_GSSAPI_GSI REQUIRED)
+find_package(Globus_OPENSSL REQUIRED)
 find_package(OpenSSL REQUIRED)
 
 set (GLOBUS_LIBRARIES
@@ -36,6 +37,7 @@
     ${GLOBUS_GSI_CREDENTIAL_LIBRARIES}
     ${GLOBUS_GSS_ASSIST_LIBRARIES}
     ${GLOBUS_GSSAPI_GSI_LIBRARIES}
+    ${GLOBUS_OPENSSL_LIBRARIES}
     ${OPENSSL_LIBRARIES}
 )
 
@@ -48,8 +50,8 @@
 set(OUTPUT_NAME "gfal_srm_ifce")
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 23)
-set(VERSION_PATCH 3)
+set(VERSION_MINOR 24)
+set(VERSION_PATCH 1)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 #install doc license
