=== debian/changelog ===
srm-ifce (1.24.1-1) unstable; urgency=medium

  * New upstream release
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Sep 2016 18:10:56 +0200
