=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: srm-ifce
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends: debhelper (>= 8.0.0), cmake, libcgsi-gsoap-dev (>= 1.3.6), libglib2.0-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://dmc.web.cern.ch/
