## srm-ifce 1.24.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 24)
-set(VERSION_PATCH 1)
+set(VERSION_PATCH 2)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 #install doc license
