=== debian/changelog ===
srm-ifce (1.24.2-2build2) bionic; urgency=medium

  * No-change rebuild against libgsoap-2.8.60

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 09 Feb 2018 21:17:04 +0000

srm-ifce (1.24.2-2build1) artful; urgency=medium

  * Rebuild against new libgsoap-2.8.49.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2017 08:31:24 +0200

srm-ifce (1.24.2-2) unstable; urgency=medium

  * Add missing Build-Depends gsoap
  * Migrate to dbgsym package

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 14 Jul 2017 13:02:33 +0200

srm-ifce (1.24.2-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 24 Mar 2017 09:56:38 +0100
