=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: srm-ifce
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: debhelper (>= 8.0.0), cmake, libcgsi-gsoap-dev (>= 1.3.6), libglib2.0-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends: debhelper (>= 9), cmake, libcgsi-gsoap-dev (>= 1.3.6), libglib2.0-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config, gsoap
+Standards-Version: 4.0.0
 Section: libs
 Homepage: http://dmc.web.cern.ch/
 
@@ -25,12 +26,3 @@
 Description: SRM client side headers and development files
  Development libraries, pkgconfig files and header files for the
  srm-ifce.
-
-Package: srm-ifce-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libgfal-srm-ifce1 (= ${binary:Version}), ${misc:Depends}
-Description: Debug symbols for SRM client side library
- Debug symbols for the srm-ifce.
