=== debian/changelog ===
srm-ifce (1.24.3-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 23 Feb 2018 05:52:40 +0100
