=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: srm-ifce
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends: debhelper (>= 9), cmake, libcgsi-gsoap-dev (>= 1.3.6), libglib2.0-dev, libglobus-ftp-client-dev, libglobus-gss-assist-dev, pkg-config, gsoap
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Section: libs
-Homepage: http://dmc.web.cern.ch/
+Vcs-Browser: https://salsa.debian.org/ellert/srm-ifce
+Vcs-Git: https://salsa.debian.org/ellert/srm-ifce.git
+Homepage: https://dmc.web.cern.ch/
 
 Package: libgfal-srm-ifce1
 Section: libs
