=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@ 
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
+	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" < /dev/null
 
 override_dh_install:
 	rm -rf debian/tmp/usr/share/doc
@@ -26,7 +26,10 @@
 	   debian/tmp/usr/bin/gfal_srm_ifce_version.sh
 	mv debian/tmp/usr/bin/gfal_srm_ifce_version.sh \
 	   debian/tmp/usr/bin/gfal_srm_ifce_version
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_strip:
-	dh_strip --dbg-package srm-ifce-dbg
+	dh_strip --dbgsym-migration='srm-ifce-dbg (<< 1.24.2-2~)'
