=== debian/changelog ===
srm-ifce (1.24.4-1) unstable; urgency=medium

  * New upstream release (1.24.4)
  * Change to debhelper compat level 13
  * Remove override_dh_missing rule (--fail-missing is default)
  * Update Homepage tag in debian/control

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 05 Jan 2021 02:24:41 +0100
