=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" < /dev/null

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/tmp/usr/share/doc
	# Replace with a script for multi-arch
	printf '#!/bin/sh\necho ' > \
	   debian/tmp/usr/bin/gfal_srm_ifce_version.sh
	LD_LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH):$${LD_LIBRARY_PATH} \
	   debian/tmp/usr/bin/gfal_srm_ifce_version >> \
	   debian/tmp/usr/bin/gfal_srm_ifce_version.sh
	mv debian/tmp/usr/bin/gfal_srm_ifce_version.sh \
	   debian/tmp/usr/bin/gfal_srm_ifce_version

override_dh_strip:
	dh_strip --dbgsym-migration='srm-ifce-dbg (<< 1.24.2-2~)'
