=== debian/changelog ===
srm-ifce (1.24.5-1build1) jammy; urgency=medium

  * No-change rebuild against libgsoap-2.8.117

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 17:22:26 +0000

srm-ifce (1.24.5-1) unstable; urgency=medium

  * New upstream release (1.24.5)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 16 Feb 2021 17:02:19 +0100
