=== debian/control ===
Source: srm-ifce
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 13),
 cmake,
 libcgsi-gsoap-dev (>= 1.3.6),
 libglib2.0-dev,
 libglobus-ftp-client-dev,
 libglobus-gss-assist-dev,
 pkg-config,
 gsoap,
 libgsoap-dev
Standards-Version: 4.5.1
Section: libs
Vcs-Browser: https://salsa.debian.org/ellert/srm-ifce
Vcs-Git: https://salsa.debian.org/ellert/srm-ifce.git
Homepage: https://dmc-docs.web.cern.ch/dmc-docs/srm-ifce.html

Package: libgfal-srm-ifce1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: SRM client side library
 srm-ifce is a client side implementation of the SRMv1 and SRMv2
 specification for GFAL1/2 and FTS. SRM means Storage Resource Manager
 Interface, it is a specification of a SOAP interface providing a
 generic way to manage distributed storage systems.

Package: srm-ifce-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgfal-srm-ifce1 (= ${binary:Version}),
 ${misc:Depends},
 libglib2.0-dev
Description: SRM client side headers and development files
 Development libraries, pkgconfig files and header files for the
 srm-ifce.
