=== debian/changelog ===
srm-ifce (1.24.6-1) unstable; urgency=medium

  * New upstream release (1.24.6)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 08 Feb 2023 22:57:06 +0100

srm-ifce (1.24.5-2) unstable; urgency=medium

  * Rebuild against openssl 3.0 (Closes: #1014804)
  * Drop old debug symbol migration from 2017

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 20 Jul 2022 16:29:57 +0200
