=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: srm-ifce
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
  debhelper (>= 13),
  cmake,
- libcgsi-gsoap-dev (>= 1.3.6),
+ libcgsi-gsoap-dev (>= 1.3.10),
  libglib2.0-dev,
  libglobus-ftp-client-dev,
  libglobus-gss-assist-dev,
  pkg-config,
  gsoap,
  libgsoap-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Section: libs
 Vcs-Browser: https://salsa.debian.org/ellert/srm-ifce
 Vcs-Git: https://salsa.debian.org/ellert/srm-ifce.git
