=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,3 @@
 	   debian/tmp/usr/bin/gfal_srm_ifce_version.sh
 	mv debian/tmp/usr/bin/gfal_srm_ifce_version.sh \
 	   debian/tmp/usr/bin/gfal_srm_ifce_version
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='srm-ifce-dbg (<< 1.24.2-2~)'
