=== debian/changelog ===
srm-ifce (1.24.7-1build1) plucky; urgency=medium

  * Rebuild against latest gsoap

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 19:22:49 -0500

srm-ifce (1.24.7-1) unstable; urgency=medium

  * New upstream release (1.24.7)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 06 Aug 2024 01:11:07 +0200

srm-ifce (1.24.6-2) unstable; urgency=medium

  * Enable bind-now hardening

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 21 Mar 2024 20:20:07 +0100

srm-ifce (1.24.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062922

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:25:49 +0000
