=== debian/control ===
--- 
+++ 
@@ -2,23 +2,26 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
- debhelper (>= 13),
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  cmake,
  libcgsi-gsoap-dev (>= 1.3.10),
  libglib2.0-dev,
  libglobus-ftp-client-dev,
  libglobus-gss-assist-dev,
- pkg-config,
+ pkgconf,
  gsoap,
  libgsoap-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org/ellert/srm-ifce
 Vcs-Git: https://salsa.debian.org/ellert/srm-ifce.git
 Homepage: https://dmc-docs.web.cern.ch/dmc-docs/srm-ifce.html
 
-Package: libgfal-srm-ifce1
-Section: libs
+Package: libgfal-srm-ifce1t64
+Provides: ${t64:Provides}
+Replaces: libgfal-srm-ifce1
+Breaks: libgfal-srm-ifce1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -35,7 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal-srm-ifce1 (= ${binary:Version}),
+ libgfal-srm-ifce1t64 (= ${binary:Version}),
  ${misc:Depends},
  libglib2.0-dev
 Description: SRM client side headers and development files
